---
lang: en
title: 'API docs: metadata.classdecoratorfactory.mergewithown'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/metadata
permalink: /doc/en/lb4/apidocs.metadata.classdecoratorfactory.mergewithown.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/metadata](./metadata.md) &gt; [ClassDecoratorFactory](./metadata.classdecoratorfactory.md) &gt; [mergeWithOwn](./metadata.classdecoratorfactory.mergewithown.md)

## ClassDecoratorFactory.mergeWithOwn() method

**Signature:**

```typescript
protected mergeWithOwn(ownMetadata: T, target: Object, member?: string, descriptorOrIndex?: TypedPropertyDescriptor<any> | number): T;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

ownMetadata


</td><td>

T


</td><td>


</td></tr>
<tr><td>

target


</td><td>

Object


</td><td>


</td></tr>
<tr><td>

member


</td><td>

string


</td><td>

_(Optional)_


</td></tr>
<tr><td>

descriptorOrIndex


</td><td>

TypedPropertyDescriptor&lt;any&gt; \| number


</td><td>

_(Optional)_


</td></tr>
</tbody></table>

**Returns:**

T


